Subject: Re: bug#61851: [PATCH] gnu: tesseract-ocr-tessdata-fast: Install tesseract config files.
From: Maxim Cournoyer <[email-masked]>
To: Jelle Licht <[email-masked]>
Cc: [email-masked], Simon South <[email-masked]>
Date: Mon, 20 Mar 2023 23:13:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Jelle Licht <[email-masked]> writes:

> Hey folks,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hello,
>>
>> Simon South <[email-masked]> writes:
>>
>>> Maxim Cournoyer <[email-masked]> writes:
>>>> Would you be so kind as to open an issue with upstream about the
>>>> misleading doc?
>>>
>>> I would've submitted a patch already were the project not using GitHub.
>>> I don't have a GitHub account and don't intend to get one.
>>>
>>> Would anyone else be willing to be open an issue on this?
>>
>> No problem; see: https://github.com/tesseract-ocr/tesseract/issues/4025.
>
> So it seems the issue was confirmed. In addition there seems to be some
> inconsistencies between build system with regards to how the data dir is
> interpreted by tesseract:
>
> https://github.com/tesseract-ocr/tesseract/issues/4026
>
> I think it makes sense for us to apply [a version of] Simon's patch.  QA
> also seems to show green lights, ignoring the unrelated recent
> openmpi-related failures.
>
> WDYT?

I've now applied it, after writing a proper change log commit message,
and running the xvnc and lightdm system tests to get some confidence
(they make use of tesseract-ocr).

Thank you for looking into it!

-- 
Thanks,
Maxim